=== modified file 'find-rcbuggy-problem-packages'
--- find-rcbuggy-problem-packages	2019-09-18 13:15:59 +0000
+++ find-rcbuggy-problem-packages	2020-07-30 10:59:13 +0000
@@ -248,7 +248,12 @@
 
 def main():
     print("loading data")
-    with open(args.ubuntu_excuses) as fp:
+    if args.ubuntu_excuses.endswith('.xz'):
+        import lzma
+        excuses_opener = lzma.open
+    else:
+        excuses_opener = open
+    with excuses_opener(args.ubuntu_excuses) as fp:
         ubuntu_excuses = yaml.load(fp, Loader=yaml.CSafeLoader)
     with open(args.ubuntu_update_output) as fp:
         bin_pkg_arch_to_blocked_src_pkgs = extract_bin_pkg_arch_to_blocked_src_pkgs(fp)

=== modified file 'run-proposed-migration'
--- run-proposed-migration	2020-07-14 14:12:10 +0000
+++ run-proposed-migration	2020-07-30 10:59:13 +0000
@@ -59,7 +59,7 @@
                       $SERIES/update_excuses_by_team.html $SERIES/update_excuses_by_team.yaml
     tmpdir="$(mktemp -d)"
     wget -q -O "$tmpdir/debian-excuses.yaml" https://release.debian.org/britney/excuses.yaml
-    find-rcbuggy-problem-packages --ubuntu-excuses $SERIES/update_excuses.yaml \
+    find-rcbuggy-problem-packages --ubuntu-excuses $SERIES/update_excuses.yaml.xz \
                                   --ubuntu-update_output $SERIES/update_output.txt \
                                   --debian-excuses "$tmpdir/debian-excuses.yaml" \
                                   --output $SERIES/rcbuggy-problem-packages.html

